# PSNMP_PDUs Class Reference

`#include <snmp.h>`

Inheritance diagram for PSNMP_PDUs:

List of all members.

## Public Types

| e_get_request
| e_get_next_request
| e_get_response
| e_set_request
| e_trap
enum | Choices { e_get_request, e_get_next_request, e_get_response, e_set_request, e_trap }

## Public Member Functions

| PSNMP_PDUs (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator PSNMP_GetRequest_PDU & ()
| operator const PSNMP_GetRequest_PDU & () const
| operator PSNMP_GetNextRequest_PDU & ()
| operator const PSNMP_GetNextRequest_PDU & () const
| operator PSNMP_GetResponse_PDU & ()
| operator const PSNMP_GetResponse_PDU & () const
| operator PSNMP_SetRequest_PDU & ()
| operator const PSNMP_SetRequest_PDU & () const
| operator PSNMP_Trap_PDU & ()
| operator const PSNMP_Trap_PDU & () const
virtual PBoolean | Decode (PASN_Stream &strm)
virtual void | Encode (PASN_Stream &strm) const
PBoolean | CreateObject ()
PObject * | Clone () const
| Create a copy of the class on the heap.

## Member Enumeration Documentation

enum PSNMP_PDUs::Choices

Enumerator:

  e_get_request |
  e_get_next_request |
  e_get_response |
  e_set_request |
  e_trap |

## Constructor & Destructor Documentation

PSNMP_PDUs::PSNMP_PDUs | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* PSNMP_PDUs::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

PBoolean PSNMP_PDUs::CreateObject | ( |  | ) | `[virtual]`

Implements PASN_Choice.

virtual PBoolean PSNMP_PDUs::Decode | ( | PASN_Stream & | strm | ) | `[virtual]`

Reimplemented from PASN_Choice.

virtual void PSNMP_PDUs::Encode | ( | PASN_Stream & | strm | ) | const`[virtual]`

Reimplemented from PASN_Choice.

PSNMP_PDUs::operator const PSNMP_GetNextRequest_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_GetRequest_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_GetResponse_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_SetRequest_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_Trap_PDU & | ( |  | ) | const

PSNMP_PDUs::operator PSNMP_GetNextRequest_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_GetRequest_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_GetResponse_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_SetRequest_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_Trap_PDU & | ( |  | ) |

The documentation for this class was generated from the following file:

- snmp.h